import { Langs } from './config';
import { ResolvedHopeLangLocalesConfig } from '../../typings';
export declare const checkLang: (lang: string) => boolean;
/**
 * 获取语言对应路径
 *
 * @param lang 语言
 */
export declare const lang2path: (lang: string) => string;
/**
 * 获取路径对应语言
 *
 * @param path 路径
 */
export declare const path2lang: (path: string) => string;
/**
 * 获取特定语言的本地化文字
 *
 * @param lang
 */
export declare const getLocale: (lang: string) => ResolvedHopeLangLocalesConfig;
declare const i18n: {
    checkLang: (lang: string) => boolean;
    config: {
        container: Record<string, Record<string, string>>;
    };
    langs: Langs[];
    lang2path: (lang: string) => string;
    path2lang: (path: string) => string;
    getLocale: (lang: string) => ResolvedHopeLangLocalesConfig;
};
export default i18n;
